## class StringListEdge : public Edge

> An edge that has an extra list of strings.

## Inheritance:

### Public Classes

  enum | StringErrorType

### Public Methods

  | StringListEdge (Graph *g, Subject *n1, Subject *n2)
  | StringListEdge (const StringListEdge &s)
  virtual | ~StringListEdge ()
  virtual StringListEdge::StringErrorType | SetString ( const string *s, unsigned n, bool update)
  const string* | GetString (unsigned n)
  unsigned | NrStrings ()
  bool | HasString (const string *s)
  const string* | GetStringListLabel ()
  const string* | GetStringLabel ()
  const List <string *> * | GetStringList ()
  void | SetStringListLabel (const string *s)
  void | SetStringLabel (const string *s)
  void | WriteMembers (OutputFile *f)
  bool | ReadMembers (InputFile *f, double format)

### Inherited from Edge:

### Public Methods

Subject* GetSubject1() const
Subject* GetSubject2() const
void SetSubject1(Subject *n)
void SetSubject2(Subject *n)
bool IsDirected() const
bool InGraph() const
bool IsEdge() const
bool PartOf(Subject *subject) const
void SetSubjects(Subject *n1, Subject *n2, bool d = 0)
bool SetReferences(AssocList *)
bool CheckReferences()

### Protected Methods

void SetDirected(bool b)

### Inherited from Subject:

### Public Classes

enum NameErrType

### Public Methods

virtual Subject* Clone()
bool IsSubject() const
const string* GetName() const
virtual NameErrType SetName(const string *s)
void SetParent(Node *p)
Node* GetParent() const
void SetAnnotation(string *s)
const string* GetAnnotation() const
Graph* GetGraph() const

### Inherited from Thing:

### Public Classes

enum AssocType

### Public Methods

unsigned long GetId()
void SetId(unsigned long val)
virtual bool IsShape() const
virtual bool IsView() const
virtual int GetClassType() const
void Write(OutputFile *ofile)

## Documentation

> An edge that has an extra list of strings.

`StringListEdge(Graph *g, Subject *n1, Subject *n2)`

`StringListEdge(const StringListEdge &s)`

`virtual ~StringListEdge()`

`enum StringErrorType`

`virtual StringListEdge::StringErrorType SetString( const string *s, unsigned n, bool update)`

`const string* GetString(unsigned n)`

`unsigned NrStrings()`

`bool HasString(const string *s)`

`const string* GetStringListLabel()`

`const string* GetStringLabel()`

`const List <string *> * GetStringList()`

`void SetStringListLabel(const string *s)`

`void SetStringLabel(const string *s)`

`void WriteMembers(OutputFile *f)`

`bool ReadMembers(InputFile *f, double format)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de